<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="wrap_content"
    android:layout_height="match_parent"
    android:background="#F0F0F0"
    android:orientation="vertical"
    tools:context=".MainActivity">
    <androidx.constraintlayout.widget.ConstraintLayout
        android:background="@color/toolbar_color"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        android:layout_width="match_parent"
        android:layout_height="?attr/actionBarSize">

        <ImageView
            android:id="@+id/iv_three_main"
            android:layout_width="wrap_content"
            android:layout_height="30dp"
            android:layout_marginStart="28dp"
            android:layout_marginTop="16dp"
            android:background="@drawable/iv_three"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"/>

        <TextView
            android:id="@+id/tv_title"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:textSize="20sp"
            android:textColor="@color/text_color"
            android:text="深安割草机器人"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintBottom_toBottomOf="parent"/>

        <TextView
            android:id="@+id/tv_setting_main"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="16dp"
            android:layout_marginEnd="16dp"
            android:text="设置"
            android:textColor="@color/text_color"
            android:textSize="20sp"
            app:layout_constraintBaseline_toBaselineOf="@id/tv_title"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

    </androidx.constraintlayout.widget.ConstraintLayout>
    <com.amap.api.maps.MapView
        android:id="@+id/map_view"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_weight="1"
        android:layout_marginBottom="10dp"/>

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="140dp"
        android:layout_marginStart="10dp"
        android:layout_marginEnd="10dp"
        android:background="@drawable/rounded_corner_bg">

        <ImageButton
            android:id="@+id/robot_start"
            android:layout_width="180dp"
            android:layout_height="160dp"
            android:layout_alignParentTop="true"
            android:layout_alignParentEnd="true"
            android:layout_alignParentBottom="true"
            android:layout_marginTop="0dp"
            android:layout_marginEnd="10dp"
            android:layout_marginBottom="0dp"
            android:background="@drawable/robot_medium" />

        <TextView
            android:id="@+id/textView"
            android:layout_width="50dp"
            android:layout_height="50dp"
            android:layout_above="@+id/imageView2"
            android:layout_alignParentStart="true"
            android:layout_marginStart="23dp"
            android:layout_marginBottom="0dp"
            android:gravity="center_vertical"
            android:text="86"
            android:textColor="#1E1E1E"
            android:textSize="40sp"
            android:textStyle="bold|italic" />

        <ImageView
            android:id="@+id/imageView2"
            android:layout_width="50dp"
            android:layout_height="25dp"
            android:layout_alignParentStart="true"
            android:layout_alignParentBottom="true"
            android:layout_marginStart="20dp"
            android:layout_marginBottom="22dp"
            app:srcCompat="@drawable/battery" />

        <TextView
            android:id="@+id/textView2"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_above="@+id/imageView2"
            android:layout_marginStart="0dp"
            android:layout_marginBottom="5dp"
            android:layout_toEndOf="@+id/textView"
            android:text="%"
            android:textColor="#1C1B1B"
            android:textSize="20sp"
            android:textStyle="bold" />

        <ImageView
            android:id="@+id/imageView3"
            android:layout_width="20dp"
            android:layout_height="20dp"
            android:layout_alignParentStart="true"
            android:layout_alignParentTop="true"
            android:layout_marginStart="20dp"
            android:layout_marginTop="10dp"
            app:srcCompat="@drawable/wifi" />

        <ImageView
            android:id="@+id/imageView6"
            android:layout_width="20dp"
            android:layout_height="20dp"
            android:layout_alignParentTop="true"
            android:layout_marginStart="10dp"
            android:layout_marginTop="10dp"
            android:layout_toEndOf="@+id/imageView3"
            app:srcCompat="@drawable/satellite" />

        <ImageView
            android:id="@+id/iv_uwb_state"
            android:layout_width="20dp"
            android:layout_height="20dp"
            android:layout_alignParentTop="true"
            android:layout_marginStart="10dp"
            android:layout_marginTop="10dp"
            android:layout_toEndOf="@+id/imageView6"
            app:srcCompat="@drawable/uwb" />
    </RelativeLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="220dp"
        android:layout_marginTop="10dp"
        android:orientation="horizontal">

        <LinearLayout
            android:id="@+id/layout_left"
            android:layout_width="180dp"
            android:layout_height="match_parent"
            android:layout_alignParentStart="true"
            android:layout_marginStart="10dp"
            android:layout_marginEnd="10dp"
            android:layout_marginBottom="10dp"
            android:layout_weight="1"
            android:orientation="vertical">

            <androidx.constraintlayout.widget.ConstraintLayout
                android:id="@+id/base_config_layout"
                android:layout_width="match_parent"
                android:layout_height="100dp"
                android:background="@drawable/rounded_corner_bg">

                <TextView
                    android:id="@+id/textView8"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="5dp"
                    android:text="基站配置"
                    android:textColor="#1E1E1E"
                    android:textStyle="bold"
                    app:layout_constraintStart_toStartOf="@+id/imageView12"
                    app:layout_constraintTop_toBottomOf="@+id/imageView12" />

                <TextView
                    android:id="@+id/textView9"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="10dp"
                    android:text="当前共有3个基站在线"
                    android:textSize="10sp"
                    app:layout_constraintStart_toStartOf="@+id/textView8"
                    app:layout_constraintTop_toBottomOf="@+id/textView8" />

                <ImageView
                    android:id="@+id/imageView12"
                    android:layout_width="25dp"
                    android:layout_height="25dp"
                    android:layout_marginStart="10dp"
                    android:layout_marginTop="10dp"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toTopOf="parent"
                    app:srcCompat="@drawable/base_station" />
            </androidx.constraintlayout.widget.ConstraintLayout>

            <androidx.constraintlayout.widget.ConstraintLayout
                android:id="@+id/client_mode_layout"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_marginTop="10dp"
                android:background="@drawable/rounded_corner_bg">

                <TextView
                    android:id="@+id/textView6"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="10dp"
                    android:text="割草作业区"
                    android:textColor="#1E1E1E"
                    android:textStyle="bold"
                    app:layout_constraintStart_toStartOf="@+id/imageView11"
                    app:layout_constraintTop_toBottomOf="@+id/imageView11" />

                <TextView
                    android:id="@+id/textView7"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="10dp"
                    android:text="共13个区域"
                    android:textSize="10sp"
                    app:layout_constraintStart_toStartOf="@+id/textView6"
                    app:layout_constraintTop_toBottomOf="@+id/textView6" />

                <ImageView
                    android:id="@+id/imageView11"
                    android:layout_width="25dp"
                    android:layout_height="25dp"
                    android:layout_marginStart="10dp"
                    android:layout_marginTop="5dp"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toTopOf="parent"
                    app:srcCompat="@drawable/mowgin_working" />
            </androidx.constraintlayout.widget.ConstraintLayout>
        </LinearLayout>

        <LinearLayout
            android:id="@+id/layout_right"
            android:layout_width="180dp"
            android:layout_height="match_parent"
            android:layout_marginEnd="10dp"
            android:layout_marginBottom="10dp"
            android:layout_weight="1"
            android:orientation="vertical">

            <androidx.constraintlayout.widget.ConstraintLayout
                android:id="@+id/mowing_layout"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:background="@drawable/rounded_corner_bg">


                <ImageView
                    android:id="@+id/imageView9"
                    android:layout_width="25dp"
                    android:layout_height="25dp"
                    android:layout_marginStart="10dp"
                    android:layout_marginTop="5dp"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toTopOf="parent"
                    app:srcCompat="@drawable/target" />

                <TextView
                    android:id="@+id/textView3"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="5dp"
                    android:text="@string/robot_function"
                    android:textColor="#1E1E1E"
                    android:textStyle="bold"
                    app:layout_constraintStart_toStartOf="@+id/imageView9"
                    app:layout_constraintTop_toBottomOf="@+id/imageView9" />

                <TextView
                    android:id="@+id/tv_location"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="5dp"
                    android:text="高尔夫球场"
                    android:textSize="10sp"
                    app:layout_constraintStart_toStartOf="@+id/textView3"
                    app:layout_constraintTop_toBottomOf="@+id/textView3" />

                <ImageView
                    android:id="@+id/iv_mapping_history"
                    android:layout_width="189dp"
                    android:layout_height="78dp"
                    android:layout_marginStart="10dp"
                    android:layout_marginEnd="10dp"
                    android:layout_marginBottom="10dp"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintHorizontal_bias="0.514"
                    app:layout_constraintStart_toStartOf="parent"
                    app:srcCompat="@drawable/mowing_mapping" />

                <TextView
                    android:id="@+id/textView5"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="5dp"
                    android:text="3天前"
                    android:textSize="8sp"
                    app:layout_constraintStart_toStartOf="@+id/tv_location"
                    app:layout_constraintTop_toBottomOf="@+id/tv_location" />

                <ImageView
                    android:id="@+id/imageView10"
                    android:layout_width="10dp"
                    android:layout_height="10dp"
                    android:layout_marginEnd="20dp"
                    app:layout_constraintBottom_toBottomOf="@+id/textView3"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintTop_toTopOf="@+id/textView3"
                    app:srcCompat="@drawable/icon_dot" />
            </androidx.constraintlayout.widget.ConstraintLayout>

        </LinearLayout>

    </LinearLayout>

</LinearLayout>